Skip to main content
GET
Retrieve Order Receipt By Number

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
string
required
Allowed value: "v1"
order_number
string
required

Response

Successful Response

OrderReceiptResponse

order_id
integer
required
order_number
string
required
currency
string
required

Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)

Required string length: 3
total_amount
required

Amount

status
string
required
note
string
required
fee_bearer
string
required
owner_id
integer
required
owner_type
string
required
created_at
string<date-time>
required
counterparty_id
integer
required
relationship_type
string
required
counterparty_name
string
required
counterparty_phone
string
required

E.164 digits only, without '+' (e.g. 231771234567)

Required string length: 8 - 15
reference_id
string | null
paid_at
string<date-time> | null
counterparty_email
string | null
payer_amount

A positive, non-zero amount.

Required range: x >= 0.01
payer_currency
string | null
Required string length: 3
payee_amount

A positive, non-zero amount.

Required range: x >= 0.01
payee_currency
string | null
Required string length: 3
platform_fee

Amount

platform_currency
string | null
Required string length: 3
gateway_fee

Amount

gateway_currency
string | null
Required string length: 3
fx_fee

Amount

fx_rate
string | null
fx_currency_from
string | null
Required string length: 3
fx_currency_to
string | null
Required string length: 3
payment_provider
string | null
payment_method
string | null
account_name
string | null
gateway_confirmed_at
string<date-time> | null
provider_transaction_id
string | null
items
ReceiptItem · object[] | null
Last modified on June 23, 2026